#include <bits/stdc++.h>

using namespace std;

string T;
long long poz1, poz2, i, i2, br;
bool nadjen;

int main () {
    cin >> T;
    i2 = T.size()-1;
    i = 0;
    br = T.size();
    while (nadjen == 0 && br > 0) {
         if (T[i] != T[i2]) {
             nadjen = 1;
             poz1 = i;
             poz2 = i2;
         }
         i++;
         i2--;
         br -= 2;
    }
    if (nadjen == 0) cout << 1 << endl;
    else {
         cout << br + 1;
    }

return 0;
}